Jobs
Get jobs
GET
Gets all jobs for the customer's portfolio
sso-keyheader
Authorization<token>Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET
customerId*stringAn identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.
Match
^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$Default
"my"X-Request-Id?stringA unique identifier for the request
Details of jobs for the provided portfolio
application/json- response
jobs*array<>curl -X GET 'https://api.afternic.com/v3/aftermarket/customers/my/jobs'Example Response
{ "jobs": [ { "completedAt": "2020-01-01T00:00:00Z", "createdAt": "2020-01-01T00:00:00Z", "failedReason": "Invalid CSV file provided", "jobState": "CREATED", "percentComplete": 0.1, "totalFailures": 0, "totalRequests": 0, "totalSuccess": 0, "type": "BULK_JOB", "description": "my first job", "jobId": "9d222c6d-893e-4e79-8201-3c9ca16a0f39" } ]}